import type { Network, RpcConnection, SignAndSendSigner, Signer, TxHash, UnsignedTransaction } from "@ultronswap-wormhole/sdk-connect";
import type { AptosChains } from "./types.js";
import { Account, Aptos } from "@aptos-labs/ts-sdk";
export declare function getAptosSigner(rpc: RpcConnection<"Aptos">, privateKey: string): Promise<Signer>;
export declare class AptosSigner<N extends Network, C extends AptosChains> implements SignAndSendSigner<N, C> {
    private _chain;
    private _account;
    private _rpc;
    private _debug?;
    constructor(_chain: C, _account: Account, _rpc: Aptos, _debug?: boolean | undefined);
    chain(): C;
    address(): string;
    signAndSend(tx: UnsignedTransaction[]): Promise<TxHash[]>;
    private _simSignSend;
}
//# sourceMappingURL=signer.d.ts.map